#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "DynamicSurvivorSubAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API UDynamicSurvivorSubAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _dynamics;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isKate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isJane;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isCrouched;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isInjured;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isJohn;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isSteve;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isS26;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isS2602;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isS27;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isS2702;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _notCrouchedSpringStiffness;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _crouchedSpringStiffness;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _injuredSpringStiffness;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _uninjuredSpringStiffness;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float _notCrouchedFloat;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float _isInjuredFloat;

public:
	UDynamicSurvivorSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UDynamicSurvivorSubAnimInstance) { return 0; }
